aboutsummaryrefslogtreecommitdiff
path: root/system/v7sh/v7sh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/v7sh/v7sh.SlackBuild')
-rw-r--r--system/v7sh/v7sh.SlackBuild91
1 files changed, 91 insertions, 0 deletions
diff --git a/system/v7sh/v7sh.SlackBuild b/system/v7sh/v7sh.SlackBuild
new file mode 100644
index 0000000000000..18cb2fde8c60a
--- /dev/null
+++ b/system/v7sh/v7sh.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for v7sh
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Notes:
+
+# - The source tarball is called v7_sh, but the existing FreeBSD
+# port of the Version 7 shell is called v7sh. I prefer the name
+# without the underscore, if only because it's easier to type.
+
+# - I put the shell in /bin/v7sh, and add it to /etc/shells in doinst.sh,
+# meaning it'll work as a login shell (if anyone's feeling *that*
+# nostalgic...)
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=v7sh
+SRCNAM=v7_sh
+VERSION=${VERSION:-20100108}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM.tar.gz
+cd $SRCNAM
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# add timestamp and section/header info to man page
+sed -i \
+ -e '/^\.TH/s|$| "January 8, 2010" "SlackBuilds.org" "UNIX 7th Edition"|' \
+ sh.1
+
+make CFLAGS="$SLKCFLAGS -fcommon"
+
+# no 'make install' target. it's just the binary, man page, and docs.
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/{bin,usr/man/man1} $PKGDOC
+install -s sh $PKG/bin/$PRGNAM
+gzip -9c < sh.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+install -m0644 CHANGES NOTICE.pdf README Version changes_since_v7 $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE